Skip to main content
`Ctrl`+`K`

# pandas.Series.to_dict

Series.to_dict(*, into=<class 'dict'>)

  Convert Series to {label -> value} dict or dict-like object.

  Parameters:
    into class, default dict

      The collections.abc.MutableMapping subclass to use as the return object. Can be the actual class or an empty instance of the mapping type you want. If you want a collections.defaultdict, you must pass it initialized.

  Returns:
    collections.abc.MutableMapping

      Key-value representation of Series.

  Examples

      >>> s = pd.Series([1, 2, 3, 4])
      >>> s.to_dict()
      {0: 1, 1: 2, 2: 3, 3: 4}
      >>> from collections import OrderedDict, defaultdict
      >>> s.to_dict(into=OrderedDict)
      OrderedDict([(0, 1), (1, 2), (2, 3), (3, 4)])
      >>> dd = defaultdict(list)
      >>> s.to_dict(into=dd)
      defaultdict(<class 'list'>, {0: 1, 1: 2, 2: 3, 3: 4})